<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<groupId>com.example</groupId>
	<artifactId>codewithkesav</artifactId>
	<version>1.0.0-SNAPSHOT</version>
	<packaging>war</packaging>

	<name>codewithkesav</name>
	<description>Welcome to AWS and DevOps World</description>

	<parent>
		<groupId>org.springframework.boot</groupId>
		<artifactId>spring-boot-starter-parent</artifactId>
		<version>1.5.6.RELEASE</version>
		<relativePath /> <!-- lookup parent from repository -->
	</parent>

	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
		<java.version>1.8</java.version>
		<surefire.version>2.17</surefire.version>
		<jacoco.version>0.7.9</jacoco.version>

<!--
		<sonar.projectKey>awsdevops01</sonar.projectKey>
        <sonar.organization>awsdevops01</sonar.organization>
        <sonar.host.url>http://192.168.29.244:9000</sonar.host.url>
        <sonar.login>806af98495707bcf1a7dbb0856669c2079fa2a85</sonar.login>
-->

	</properties>
<!--
<distributionManagement>

    <snapshotRepository>
        <id>snapshot-lib-local</id>
        <name>snapshot</name>
        <url>http://192.168.29.116:8082/artifactory/snapshot-lib-local/</url>
    </snapshotRepository>

    <repository>
        <id>release-lib-local</id>
        <name>release</name>
        <url>http://192.168.29.116:8082/artifactory/release-lib-local/</url>
    </repository>
	
</distributionManagement>
-->
	
	<scm>
		<connection>scm:git:https://gitlab.com/cloudbinary/one-tier-architecture.git</connection>
		<developerConnection>scm:git:https://gitlab.com/cloudbinary/one-tier-architecture.git</developerConnection>
		<url>https://gitlab.com/cloudbinary/one-tier-architecture.git</url>
		<tag>HEAD</tag>
	</scm>

	<dependencies>
	<!-- Selenium -->	
		<dependency>
		  <groupId>org.seleniumhq.selenium</groupId>
		  <artifactId>selenium-java</artifactId>
		  <version>3.4.0</version>
		  <scope>Selenium Test</scope>
		</dependency>
	<!-- TestNG -->
		<dependency>
		  <groupId>org.testng</groupId>
		  <artifactId>testng</artifactId>
		  <version>6.8</version>
		  <scope>test</scope>
		</dependency>
		
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-thymeleaf</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-web</artifactId>
		</dependency>
		<dependency>
		    <groupId>org.springframework.boot</groupId>
		    <artifactId>spring-boot-starter-logging</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-tomcat</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-test</artifactId>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-devtools</artifactId>
			<optional>true</optional>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-tomcat</artifactId>
		</dependency>
	</dependencies>

	<build>
		<plugins>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-release-plugin</artifactId>
				<version>2.5.1</version>
				<configuration>
					<tagNameFormat>v@{project.version}</tagNameFormat>
					<autoVersionSubmodules>true</autoVersionSubmodules>
				</configuration>
			</plugin>
			<plugin>
			  <groupId>org.apache.maven.plugins</groupId>
			  <artifactId>maven-surefire-plugin</artifactId>
			  <version>${surefire.version}</version><!--$NO-MVN-MAN-VER$-->
			</plugin>
			<plugin>
			    <groupId>org.jacoco</groupId>
			    <artifactId>jacoco-maven-plugin</artifactId>
			    <version>${jacoco.version}</version>
			    <executions>
			        <execution>
			            <id>default-prepare-agent</id>
			            <goals><goal>prepare-agent</goal></goals>
			        </execution>
			        <execution>
			            <id>default-report</id>
			            <phase>prepare-package</phase>
			            <goals><goal>report</goal></goals>
			        </execution>
			    </executions>
			</plugin>
		</plugins>
	</build>
</project>

